<?php

use Illuminate\Database\Seeder;
use App\Models\Test\hey_duo\Reward;

class HeyDuoRewardsTableSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        Reward::truncate();

        Reward::insert([
            [
                'package_name' => 'แพ็คเกจวัตถุดิบสนับสนุน x1',
                'package_id' => 3408,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'package',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 0,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'ชุดออกไปเที่ยว x1',
                'package_id' => 3409,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 300,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'หมวกแฟชั่น x1',
                'package_id' => 3410,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 100,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'แว่นตาแฟชั่น x1',
                'package_id' => 3411,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 100,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'ดาวมังกรแดง x1',
                'package_id' => 3224,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 3,
                'required_points' => 50,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องแผ่นผนึกค่าสถานะฮงมุน ที่ส่องสว่าง x1',
                'package_id' => 3412,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 3,
                'required_points' => 50,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'วิญญาณซาฮวา x1',
                'package_id' => 3141,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 3,
                'required_points' => 50,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'เกล็ดสีทอง x1',
                'package_id' => 3146,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 3,
                'required_points' => 30,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องหินสกิล ท้าทายรายวัน x1',
                'package_id' => 3223,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 10,
                'required_points' => 20,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องหินสถานะ ท้าทายรายวัน x1',
                'package_id' => 2718,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit',
                'rate' => 100,
                'available_date' => null,
                'limit' => 10,
                'required_points' => 15,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'เกล็ดสีคราม x1',
                'package_id' => 2071,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องลูกแก้ว ขั้น 2 (อังคาร พุธ พฤหัส) x1',
                'package_id' => 2134,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'ประกายฉลามดำ x1',
                'package_id' => 1150,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'วิญญาณวายุทมิฬ x1',
                'package_id' => 2000,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'ปีกวายุทมิฬ x1',
                'package_id' => 1328,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'สัญลักษณ์ลานฝึกเทวา x1',
                'package_id' => 2719,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องแหวนราชาทมิฬ ขั้น 1 x1',
                'package_id' => 2688,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'ถุงมือราชันย์ ขั้น 1 x1',
                'package_id' => 2683,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'เข็มขัดราชันย์พยัคฆ์ ขั้น 1 x1',
                'package_id' => 2684,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องสร้อยข้อมือเทพมังกร ขั้น 1 x1',
                'package_id' => 2685,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องสร้อยคอราชินีทมิฬ ขั้น 1 x1',
                'package_id' => 2686,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องต่างหูราชาทมิฬ ขั้น 1 x1',
                'package_id' => 2687,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข1 x1',
                'package_id' => 1716,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข2 x1',
                'package_id' => 1717,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข3 x1',
                'package_id' => 1718,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข4 x1',
                'package_id' => 1719,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 5,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข5 x1',
                'package_id' => 1720,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข6 x1',
                'package_id' => 1721,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 10,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข7 x1',
                'package_id' => 1722,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 15,
                'required_diamonds' => 0,
            ],
            [
                'package_name' => 'กล่องโซลชิลด์พายุดำหมายเลข8 x1',
                'package_id' => 1723,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim',
                'rate' => 100,
                'available_date' => null,
                'limit' => null,
                'required_points' => 20,
                'required_diamonds' => 0,
            ],

            // special
            [
                'package_name' => 'ชุดออกไปเที่ยว x1',
                'package_id' => 3409,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start_special',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 150,
                'required_diamonds' => 10000,
            ],
            [
                'package_name' => 'หมวกแฟชั่น x1',
                'package_id' => 3410,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start_special',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 50,
                'required_diamonds' => 5000,
            ],
            [
                'package_name' => 'แว่นตาแฟชั่น x1',
                'package_id' => 3411,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_start_special',
                'rate' => 100,
                'available_date' => '2020-06-17 00:00:00',
                'limit' => null,
                'required_points' => 50,
                'required_diamonds' => 5000,
            ],
            [
                'package_name' => 'ดาวมังกรแดง x1',
                'package_id' => 3224,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 25,
                'required_diamonds' => 3000,
            ],
            [
                'package_name' => 'กล่องแผ่นผนึกค่าสถานะฮงมุน ที่ส่องสว่าง x1',
                'package_id' => 3412,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 25,
                'required_diamonds' => 3000,
            ],
            [
                'package_name' => 'วิญญาณซาฮวา x1',
                'package_id' => 3141,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 25,
                'required_diamonds' => 3000,
            ],
            [
                'package_name' => 'เกล็ดสีทอง x1',
                'package_id' => 3146,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 25,
                'required_diamonds' => 2500,
            ],
            [
                'package_name' => 'กล่องหินสกิล ท้าทายรายวัน x1',
                'package_id' => 3223,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 10,
                'required_diamonds' => 1500,
            ],
            [
                'package_name' => 'กล่องหินสถานะ ท้าทายรายวัน x1',
                'package_id' => 2718,
                'package_quantity' => 1,
                'package_amount' => 1,
                'package_type' => 'claim_limit_special',
                'rate' => 100,
                'available_date' => null,
                'limit' => 5,
                'required_points' => 8,
                'required_diamonds' => 1000,
            ],
        ]);
    }
}
